Package com.google.android.exoplayer2.upstream

## Class LoaderErrorThrower.Dummy

- java.lang.Object
- - com.google.android.exoplayer2.upstream.LoaderErrorThrower.Dummy

- All Implemented Interfaces:
    `LoaderErrorThrower`
  Enclosing interface:
    LoaderErrorThrower

      public static final class LoaderErrorThrower.Dummy
      extends Object
      implements LoaderErrorThrower

  A `LoaderErrorThrower` that never throws.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.upstream.LoaderErrorThrower

      `LoaderErrorThrower.Dummy`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Dummy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `maybeThrowError()` | Throws a fatal error, or a non-fatal error if loading is currently backed off and the current `Loader.Loadable` has incurred a number of errors greater than the `Loader`s default minimum number of retries.
    `void` | `maybeThrowError​(int minRetryCount)` | Throws a fatal error, or a non-fatal error if loading is currently backed off and the current `Loader.Loadable` has incurred a number of errors greater than the specified minimum number of retries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dummy

          public Dummy()

  - ### Method Detail

    - #### maybeThrowError

          public void maybeThrowError()

      Description copied from interface: `LoaderErrorThrower`
      Throws a fatal error, or a non-fatal error if loading is currently backed off and the current `Loader.Loadable` has incurred a number of errors greater than the `Loader`s default minimum number of retries. Else does nothing.
      Specified by:
        `maybeThrowError` in interface `LoaderErrorThrower`

    - #### maybeThrowError

          public void maybeThrowError​(int minRetryCount)

      Description copied from interface: `LoaderErrorThrower`
      Throws a fatal error, or a non-fatal error if loading is currently backed off and the current `Loader.Loadable` has incurred a number of errors greater than the specified minimum number of retries. Else does nothing.
      Specified by:
        `maybeThrowError` in interface `LoaderErrorThrower`
      Parameters:
        `minRetryCount` - A minimum retry count that must be exceeded for a non-fatal error to be thrown. Should be non-negative.